@echo off
setlocal ENABLEDELAYEDEXPANSION
cd /d %~dp0

set FTDI_UNINST=uninst_ftdi_driver.bat
set FTDI_VER1=2.12.00
set FTDI_VER2=2.12.10
set FTDI_VER3=2.12.26
set FTDI_VER4=2.12.28
set FTDI_VER5=2.12.28A
set FTDI_VER6=END
set RESULT=NG

set dt2=%date:~0,10%
set dt2=%dt2:/=%
set dt2=%dt2: =0%
rem set tm2=%time:~0,8%
rem set tm2=%tm2::=%
rem set tm2=%tm2: =0%
rem set fname2=%dt2%_%tm2%.log
set fname2=log_uninst_%dt2%.txt

rem ------- uninstallation by driver package installer -------

echo ----------- %date:~0,10% %time:~0,8% ----------- >> %fname2%

if "%PROCESSOR_ARCHITECTURE%" == "x86" (
	if "%PROCESSOR_ARCHITEW6432%" == "AMD64" (
		echo [  NEURON FTDI x64 driver Uninstaller  ]
		echo [  NEURON FTDI x64 driver Uninstaller  ] >> %fname2%
    ) else (
		echo [  NEURON FTDI x86 driver Uninstaller  ]
		echo [  NEURON FTDI x86 driver Uninstaller  ] >> %fname2%
    )
) else (
	echo [  NEURON FTDI x64 driver Uninstaller  ]
	echo [  NEURON FTDI x64 driver Uninstaller  ] >> %fname2%
)

set i=1
:BEGIN

call set VER=%%FTDI_VER!i!%%

if not !VER! == END (

	if not exist %VER%\%FTDI_UNINST% (
      echo ERROR: "%VER%\%FTDI_UNINST%" file not found.
      echo ERROR: "%VER%\%FTDI_UNINST%" file not found.  >> %fname2%
      echo.
	  goto :ABORT
    )
    
	start /wait %VER%\%FTDI_UNINST%
	rem echo %VER%=!ERRORLEVEL!
	if !ERRORLEVEL! == 5 (
	  echo execution canceled.
	  echo execution canceled. >> %fname2%
	  echo.
	  goto :END
	)
	if !ERRORLEVEL! == 0 (
	  echo Ver%VER% : deleted
	  echo Ver%VER% : deleted >> %fname2%
	  call set RESULT=OK
	) else (
	  echo Ver%VER% : none
	  echo Ver%VER% : none >> %fname2%
	)
	
	:ABORT
	set /A i+=1
	goto :BEGIN
)

:END

if !RESULT! == OK (
   setlocal disabledelayedexpansion
   echo The old driver uninstallation succeeded!!
   echo The old driver uninstallation succeeded!! >> %fname2%
   echo.
   echo. >> %fname2%
) else (
   echo The old driver has already been uninstalled.
   echo The old driver has already been uninstalled. >> %fname2%
   echo.
   echo. >> %fname2%
)
endlocal
rem pause
